<!DOCTYPE html>
<html lang="en">
<link>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name = "description" content="students-table"> 
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name = "theme-color" content="#1ba107">
    <link  rel = "stylesheet" href="src/css/style-students.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
    <link rel = "manifest" href="src/pwa/manifest.json">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>
    <title>Students</title>
</head>
<body>
 
  <div class="navigation">
    <label>CMS</label>
    <nav>
      <ul>
        <li><a href="#">Dashboard</a></li>
        <li><a href="#">Students</a></li>
        <li><a href="#">Task</a></li>
      </ul>
      <!--profile menu-->
    </nav>
      <div class = "profile-and-notification-wrap"> 
        <img class = "user-pic" src = "https://freesvg.org/img/abstract-user-flat-4.png" alt="User photo" onclick="toggleDropdown('.menu-content')">
        <img src="https://cdn-icons-png.flaticon.com/128/891/891012.png" alt = "Notifications" class="notification" 
        onclick="toggleDropdown('.notification-header')">
        <div class="not-dot"></div>
        <div class="dropdown-menu-wrap">
          <div class="menu-content" id = "profileHeader">
            <div class = "user-name">
              <h3>Andrii Borkovych</h3>
            </div>
            <hr>
            <a href="#" class = "sub-menu-link">
              <img src="">
              <p>Edit profile</p>
              <span>></span>
              </a>
              <a href="#" class = "sub-menu-link">
                <img src="">
                <p>Settings</p>
                <span>></span>
              </a>
                <a href="#" class = "sub-menu-link">
                  <img src="">
                  <p>Logout</p>
                <span>></span>
            </a>
          </div>
        </div>

        <div class="notification-menu-wrap">
          <div class="notification-header">
            <hr>
            <a href="#" class = "sub-menu-link">
              <img src="">
              <p>User 1 sent you a message</p>
              </a>
              <hr>
              <a href="#" class = "sub-menu-link">
                <img src="">
                <p>User 2 liked your post</p>
              </a>
              <hr>
              <a href="#" class = "sub-menu-link">
              <img src="">
              <p>User 3 started to follow you</p>
              </a>
              <hr>
          </div>
        </div>
      </div>
  </div>
 
    <table id="student-table">
      <caption class="capt">Student info</caption>
      <tr>
        <thead> <th><input type="checkbox"></th>
          <th>Group</th>
          <th>Full name</th>
          <th>Gender</th>
          <th>Birthday</th>
          <th>Status</th>
          <th>Options</th></thead>
         
      </tr>
      <tr>
          <td><input type="checkbox" id ="myCheckbox"></td>
          <td>PZ-23</td>
          <td>Andrii Borkovych</td>
          <td>M</td>
          <td>2022-11-25</td>
          <td><span class="dot" id = "status"></span></td>
          <td>
           <i class = "material-icons edit-btn" >edit</i>
           <i id ="delete-btn" class="material-icons" onclick="deleteRow(this)">delete</i>
          </td> 
      </tr>
  </table>
    
    <div class="center">
        <button id = "open-add-dialog-btn">
            <i class="material-icons">add</i>
          </button>
    </div>
    <div id="confirmation-popup">
      <p>Are you sure you want to delete this item?</p>
      <button id="confirm-button">Confirm</button>
      <button id="cancel-button">Cancel</button>
  </div>
  
    <!--modal window to add student-->
    <form action="" class="add-edit-form" id = "">
      <input id="hidden-input" type="hidden" name="id" value="0">
        <div class="right">
          <h2 id ="form-label">Add new student</h2>
          <div class="form">
            <div class="input">
              <label  class="labels">Full name</label>
              <input type="text" id="full-name" " placeholder="Full name">
              <label class="labels">Group</label>
              <select id = "group-list">
                <option value="1">PZ-21</option>
                <option value="2">PZ-22</option>
                <option value="3" selected>PZ-23</option>
                <option value="4">PZ-24</option>
                <option value="5">PZ-25</option>
                <option value="6">PZ-26</option>
              </select>
              <label  class="labels">Gender</label>
              <select id = "gender-list">
                <option value="1" selected>M</option>
                <option value="2">F</option>
              </select>
              <label  class="labels">Birthday</label>
              <input type="date" id="birth-date"
              min="1997-01-01" max="2030-12-31">  
            </div>
            <div class="end-buttons">
              <button type="submit" id="add-edit-stud-btn" >Add</button>
            </div>
          </div>
        </div>
        <button class="close-btn">
          &times;
        </button>
      </form>
    

    <script src="src/js/students-main.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script src="https://requirejs.org/docs/release/2.3.5/minified/require.js"></script>
</body>
</html>